package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.KomponenIndex;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.entities.StrukHistori;
import com.jasamedika.medifirst2000.entities.StrukVerifikasi;
import com.jasamedika.medifirst2000.helper.Caption;

public class PegawaiHistoriRekapIndexVO extends BaseTransactionVO{

	@ManyToOne
	@JoinColumn(name = "noHistoriFK")
	@NotNull(message = "noHistori Harus Diisi")
	@Caption(value = "noHistori")
	private StrukHistoriVO strukHistory;
	
	@Column(name = "noHistoriFK", insertable = false, updatable = false,nullable = false)
	private String strukHistoryId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Pegawai")
	private PegawaiVO pegawai;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Komponen Index")
	private KomponenIndexVO komponenIndex;

	@Caption(value="Nilai Index")
	private Integer nilaiIndex;
	
	@Caption(value="Nilai Index Total")
	private Double nilaiIndexTotal;
	
	@ManyToOne
	@JoinColumn(name = "strukVerifikasiFK")
	@Caption(value = "strukVerifikasi")
	private StrukVerifikasiVO strukVerifikasi;
	
	@Column(name = "strukVerifikasiFK", insertable = false, updatable = false,nullable = true)
	private String strukVerifikasiId;
	
	@Caption(value="No Closing")
	private String noClosing;
	
	private String noRecPlanningPerubahanStatus;
	
	public String getNoRecPlanningPerubahanStatus() {
		return noRecPlanningPerubahanStatus;
	}

	public void setNoRecPlanningPerubahanStatus(String noRecPlanningPerubahanStatus) {
		this.noRecPlanningPerubahanStatus = noRecPlanningPerubahanStatus;
	}

	public StrukHistoriVO getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistoriVO strukHistory) {
		this.strukHistory = strukHistory;
	}

	public String getStrukHistoryId() {
		return strukHistoryId;
	}

	public void setStrukHistoryId(String strukHistoryId) {
		this.strukHistoryId = strukHistoryId;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public KomponenIndexVO getKomponenIndex() {
		return komponenIndex;
	}

	public void setKomponenIndex(KomponenIndexVO komponenIndex) {
		this.komponenIndex = komponenIndex;
	}

	public Integer getNilaiIndex() {
		return nilaiIndex;
	}

	public void setNilaiIndex(Integer nilaiIndex) {
		this.nilaiIndex = nilaiIndex;
	}

	public Double getNilaiIndexTotal() {
		return nilaiIndexTotal;
	}

	public void setNilaiIndexTotal(Double nilaiIndexTotal) {
		this.nilaiIndexTotal = nilaiIndexTotal;
	}

	public StrukVerifikasiVO getStrukVerifikasi() {
		return strukVerifikasi;
	}

	public void setStrukVerifikasi(StrukVerifikasiVO strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}

	public String getStrukVerifikasiId() {
		return strukVerifikasiId;
	}

	public void setStrukVerifikasiId(String strukVerifikasiId) {
		this.strukVerifikasiId = strukVerifikasiId;
	}

	public String getNoClosing() {
		return noClosing;
	}

	public void setNoClosing(String noClosing) {
		this.noClosing = noClosing;
	}
}
